Bug 1816553 - Cannot create virtual machines: libvirtd[137702]: XML error: 'startupPolicy' is only valid for 'file' type volume
Summary: Cannot create virtual machines: libvirtd[137702]: XML error: 'startupPolicy' ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-boxes
Version: 32
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Christophe Fergeau
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2020-03-24 09:32 UTC by Ankur Sinha (FranciscoD)
Modified: 2020-03-26 00:32 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-26 00:32:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2020-03-24 09:32:14 UTC
Description of problem:
I am unable to create new virtual machines with Gnome-boxes. The journal says this:
libvirtd[137702]: XML error: 'startupPolicy' is only valid for 'file' type volume

Version-Release number of selected component (if applicable):
gnome-boxes-3.36.1-1.fc32.x86_64

How reproducible:
Always: tried it with a Fedora compose ISO, and with an Ubuntu one.
Using the libvirt-gui does not result in this error.


Steps to Reproduce:
1. Download a Fedora ISO image
2. Attempt to create new VM in boxes
3.

Actual results:
Fails.


Expected results:
Should succeed


Additional info:
Mar 24 09:29:18 ankur libvirtd[137702]: XML error: 'startupPolicy' is only valid for 'file' type volume
Mar 24 09:29:18 ankur gnome-boxes[157657]: machine.vala:638: Failed to start Fedora: Unable to start domain: XML error: 'startupPolicy' is only valid for 'file' type volume
Mar 24 09:29:23 ankur systemd[1030]: dbus-:1.2-org.gnome.Calculator.SearchProvider@12.service: Succeeded.
Mar 24 09:29:29 ankur gnome-boxes[157657]: Source ID 3637 was not found when attempting to remove it
Mar 24 09:29:29 ankur libvirtd[137702]: End of file while reading data: Input/output error
Mar 24 09:29:29 ankur libvirtd[143399]: End of file while reading data: Input/output error
Mar 24 09:29:29 ankur systemd[1030]: dbus-:1.2-org.gnome.Boxes@2.service: Succeeded.
Mar 24 09:29:29 ankur systemd[1030]: dbus-:1.2-org.gnome.Boxes@2.service: Consumed 5.597s CPU time.

Comment 1 Kamil Páral 2020-03-24 11:56:20 UTC
I can confirm this problem on my F32. Exactly the same problem. Proposing as a blocker:
"All applications that can be launched using the standard graphical mechanism after a default installation of Fedora Workstation on the x86_64 architecture must start successfully and withstand a basic functionality test. "
https://fedoraproject.org/wiki/Fedora_32_Final_Release_Criteria#Default_application_functionality

Comment 3 Adam Williamson 2020-03-24 19:30:29 UTC
I sent https://bodhi.fedoraproject.org/updates/FEDORA-2020-e2ecf59224 to fix this. For some reason it hasn't updated Bugzilla.

Comment 4 Fedora Update System 2020-03-24 19:55:56 UTC
FEDORA-2020-e2ecf59224 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-e2ecf59224`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e2ecf59224

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Kamil Páral 2020-03-25 12:38:11 UTC
(In reply to Fedora Update System from comment #4)
> https://bodhi.fedoraproject.org/updates/FEDORA-2020-e2ecf59224

This fixes the VM creation&startup issue.

Comment 6 Fedora Update System 2020-03-26 00:32:24 UTC
FEDORA-2020-e2ecf59224 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.